---
title: Update
url: https://www.tines.com/docs/api/cases/tasks/update/
updated: 2025-10-02T15:00:42+00:00
description: Update a task for a specific case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Tasks](https://www.tines.com/llm/docs/api/cases/tasks.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/cases/tasks/update/)*

## Description

Update a task for a specific case.

## Request

HTTP Method: **PUT**

| Parameter       | Description                                                                                       |
| --------------- | ------------------------------------------------------------------------------------------------- |
| description     | **Optional** The task description.                                                                |
| completed       | **Optional** Boolean indicating whether the task is completed.                                    |
| assignee_emails | **Optional** An array of user emails to assign to the task. This will replace existing assignees. |

| Path Parameter | Description                   |
| -------------- | ----------------------------- |
| case_id        | The ID of the case.           |
| task_id        | The ID of the task to update. |

### Sample request

```bash
curl -X PUT \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/tasks/<<task_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
  "description": "Review security logs for suspicious activity - Updated",
  "completed": true,
  "assignee_emails": ["user1@example.com", "user3@example.com"]
}'
```

## Response

A successful request will return a JSON object representing the updated task.

### Field description

| Parameter | Description              |
| --------- | ------------------------ |
| task      | The updated task object. |

#### Task object fields

| Parameter   | Description                                                                |
| ----------- | -------------------------------------------------------------------------- |
| id          | The task ID.                                                               |
| description | The task description.                                                      |
| completed   | Boolean indicating whether the task is completed.                          |
| assignees   | An array of users assigned to the task.                                    |
| created_at  | ISO 8601 Timestamp representing the date and time the task was created at. |
| updated_at  | ISO 8601 Timestamp representing the date and time the task was updated at. |

#### Assignee object fields

| Parameter  | Description            |
| ---------- | ---------------------- |
| id         | The user ID.           |
| email      | The user email.        |
| first_name | The user's first name. |
| last_name  | The user's last name.  |

### Sample response

<!-- cspell:disable -->

```json
{
  "task": {
    "id": 1,
    "description": "Review security logs for suspicious activity - Updated",
    "completed": true,
    "assignees": [
      {
        "id": "123",
        "email": "user1@example.com",
        "first_name": "John",
        "last_name": "Doe"
      },
      {
        "id": "789",
        "email": "user3@example.com",
        "first_name": "Bob",
        "last_name": "Johnson"
      }
    ],
    "created_at": "2024-03-25T15:40:39Z",
    "updated_at": "2024-03-25T16:25:10Z"
  }
}
```

<!-- cspell:enable -->
